Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 454576 - NetworkManager causes gconf to write too frequently
Summary: NetworkManager causes gconf to write too frequently
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: NetworkManager
Version: rawhide
Hardware: All
OS: Linux
low
low
Target Milestone: ---
Assignee: Dan Williams
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: F10Target 454582
TreeView+ depends on / blocked
 
Reported: 2008-07-09 02:55 UTC by Jesse Keating
Modified: 2013-01-10 03:21 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2008-10-20 23:22:37 UTC


Attachments (Terms of Use)

Description Jesse Keating 2008-07-09 02:55:47 UTC
Every minute or so gconf-d starts writing to various xml files (no changes
though it seems).  Files like:

./.gconf/system/networking/connections/4/802-11-wireless/%gconf.xml
./.gconf/system/networking/connections/4/connection/%gconf.xml

things like that.  These constant writes are preventing the disk from sleeping
and saving power.  Please to be fixing.

Comment 1 Dan Williams 2008-07-09 16:09:55 UTC
Hmm; it may be the connection timestamp updates, but those are only scheduled
every 5 minutes.  Also, if NM roams to a new AP, that will trigger an update of
GConf to store the new BSSID.  That could happen at any time, but shouldn't
write anything out if nothing has changed (ie if the BSSID was already stored).

Comment 2 Jesse Keating 2008-07-09 16:25:54 UTC
I agree that it shouldn't (:  But it is, and I'm sitting on my couch, not
roaming around or anything.

Anything I can do to help debug why it thinks it should write?

Comment 3 Eric Sandeen 2008-07-10 04:16:07 UTC
I think even a 5 minute update isn't going to make disk spindown very possible,
FWIW...

Comment 4 John Poelstra 2008-10-20 22:53:03 UTC
Is this problem still happening and if so what package names and versions are involved?

Comment 5 Jesse Keating 2008-10-20 23:22:37 UTC
This does not seem to be happening any more, not at the frequency it was before.


Note You need to log in before you can comment on or make changes to this bug.